#if defined(MODULE) && !defined(__GENKSYMS__)
#include <linux/config.h>
#include <linux/module.h>
#endif

#if defined(MODULE) && defined(CONFIG_MODVERSIONS)
#include <linux/modversions.h>
#endif

#include <linux/netdevice.h>
#include <linux/errno.h>
// #include <linux/etherdevice.h>
#include <linux/fcdevice.h>
// #include <linux/fddidevice.h>
#include <linux/skbuff.h>
#include <linux/if_arp.h>
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/malloc.h>
#include <linux/miscdevice.h>
#include <linux/spinlock.h>
#include <linux/tqueue.h>
// #include <linux/trdevice.h>

#include <asm/uaccess.h>
#include <asm/io.h>

    /* Override mpi.h by pre-defining these! */
    #define MoDuLeAuThOr "Noah Romer, Eddie C. Dost"
    #define CoPyRiGhT "Copyright (c) 2000 " MoDuLeAuThOr

#include "mpi.h"

/*****************************************************************************/
#define LANAME      "Fusion MPT LAN driver"
#define LANVER      LINUX_MPI_VERSION_EXP

#ifdef MODULE
MODULE_AUTHOR(MoDuLeAuThOr);
MODULE_DESCRIPTION(LANAME);
#endif
/*****************************************************************************/

#define MPI_LAN_MAX_BUCKETS_OUT 256
#define MPI_LAN_BUCKET_THRESH	18 /* 9 buckets in one message */
#define MPI_LAN_RX_COPYBREAK	200
#define MPI_LAN_TX_TIMEOUT 	(1*HZ)
#define MPI_TX_MAX_OUT_LIM      127

#define MPI_LAN_MIN_MTU		96		/* RFC2625 */
#define MPI_LAN_MAX_MTU		65280		/* RFC2625 */
#define MPI_LAN_MTU             16128		/* be nice to slab allocator */

/* MPI LAN Reset and Suspend Resource Flags Defines */

#define MPI_LAN_RESOURCE_FLAG_RETURN_POSTED_BUCKETS    0x01
#define MPI_LAN_RESOURCE_FLAG_RETURN_PEND_TRANSMITS    0x02

/*****************************************************************************/
#ifdef MPI_LAN_IO_DEBUG
#define dioprintk(x)  printk x
#else
#define dioprintk(x)
#endif
